#!/bin/bash

set -e 
VERSION=0.7.1
RPMROOT=$HOME/rpmbuild
SOURCE0=$RPMROOT/SOURCES/zekr-$VERSION-linux.tar.gz

TEMPDIR=`mktemp -d`

pushd $TEMPDIR

# package -clean
tar xvf $SOURCE0
mkdir -p zekr-data/text/
mkdir -p zekr-data/audio/

# move nonfree data over

# Quran text, metadata, and translation
mkdir zekr-data/licenses/
mv zekr/doc/license/quran-root-crcis-license.txt zekr/doc/license/tanzil-license.txt zekr-data/licenses
mv zekr/res/text/* zekr-data/text/

# Audio metadata does not contains MP3, but link to MP3, move them to nonfree just to be safe
# player.swf is CC-NC-ND
mv zekr/res/audio/* zekr-data/audio/

pushd zekr

# remove precompiled binaries
rm $(find lib/ -type f|grep -v commons-configuration)
rm dist/zekr.jar

popd
if [ -f $RPMROOT/SOURCES/zekr-clean-$VERSION.tar.bz2 ]; then 
     rm $RPMROOT/SOURCES/zekr-clean-$VERSION.tar.bz2 
fi
tar cvjf $RPMROOT/SOURCES/zekr-clean-$VERSION.tar.bz2 zekr

if [ -f $RPMROOT/SOURCES/zekr-data-$VERSION.tar.bz2 ]; then
     rm $RPMROOT/SOURCES/zekr-data-$VERSION.tar.bz2
fi
pushd zekr-data
tar cvjf $RPMROOT/SOURCES/zekr-data-$VERSION.tar.bz2 *
popd
popd
rm -r $TEMPDIR
